---
title: OAuth2 Client Public
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > OAuth2 Client Public
---

# OAuth2 Client Public
Copy pageCopied
Configure OAuth2 clients for Datadog. Supports RFC 7591 Dynamic Client Registration and management of OAuth2 client scopes restrictions.

## Register an OAuth2 client → preview{% #register-an-oauth2-client %}

| Datadog site      | API endpoint                                              |
| ----------------- | --------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/oauth2/register |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/oauth2/register |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/oauth2/register      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/oauth2/register      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/oauth2/register  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/oauth2/register     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/oauth2/register |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/oauth2/register |

## Get an OAuth2 client scopes restriction → preview{% #get-an-oauth2-client-scopes-restriction %}

| Datadog site      | API endpoint                                                                             |
| ----------------- | ---------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/oauth2/clients/{client_uuid}/scopes_restriction      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |

## Upsert an OAuth2 client scopes restriction → preview{% #upsert-an-oauth2-client-scopes-restriction %}

| Datadog site      | API endpoint                                                                              |
| ----------------- | ----------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/oauth2/clients/{client_uuid}/scopes_restriction      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |

## Delete an OAuth2 client scopes restriction → preview{% #delete-an-oauth2-client-scopes-restriction %}

| Datadog site      | API endpoint                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/oauth2/clients/{client_uuid}/scopes_restriction      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/oauth2/clients/{client_uuid}/scopes_restriction |

## Get OAuth2 well-known sites → preview{% #get-oauth2-well-known-sites %}

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/oauth2/.well-known/sites |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/oauth2/.well-known/sites |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/oauth2/.well-known/sites      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/oauth2/.well-known/sites      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/oauth2/.well-known/sites  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/oauth2/.well-known/sites     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/oauth2/.well-known/sites |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/oauth2/.well-known/sites |
